Bug 568067 - polkitd segfaults during shutdown
polkitd segfaults during shutdown
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-24 12:43 EST by Steve Tyler
Modified: 2013-03-05 23:01 EST (History)
2 users (show)

See Also:
Fixed In Version: dbus-glib-0.84-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 01:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages showing polkitd segfault messages at shutdown (5.18 MB, text/plain)
2010-02-24 12:57 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2010-02-24 12:43:59 EST
Description of problem:
Have a lot of polkitd segfault messages. They appear on screen during shutdown and are logged in /var/log/messages.

Feb 24 08:55:43 localhost kernel: polkitd[1662]: segfault at c00000016 ip 000000393ac2d47f sp 00007fff87867bf0 err
or 4 in libgobject-2.0.so.0.2304.0[393ac00000+45000]

Version-Release number of selected component (if applicable):
polkit-0.96-1.fc13.x86_64
Linux fir 2.6.33-0.52.rc8.git6.fc13.x86_64 #1 SMP Tue Feb 23 04:52:05 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Frequently.

Steps to Reproduce:
Seems to be happening every time I restart.
Have also been testing hibernate and resume.
  
Actual results:
polkitd segfaults during shutdown

Expected results:
polkitd terminates gracefully during shutdown

Additional info:
Was going to attach /var/log/messages, but gdm is logging my password in it!

abrt saved some core files but doesn't seem to know that ...
Comment 1 Steve Tyler 2010-02-24 12:57:27 EST
Created attachment 396114 [details]
/var/log/messages showing polkitd segfault messages at shutdown

Sanitized, but please make this private if there are another leaks.
Comment 2 Steve Tyler 2010-02-24 13:32:41 EST
(In reply to comment #0)
> abrt saved some core files but doesn't seem to know that ...    

This worked: (not sure why this is needed -- isn't abrt supposed to be for ordinary users?)
$ sudo abrt-gui

Bug 568080 -  [abrt] crash in polkit-0.96-1.fc13: Process /usr/libexec/polkit-1/polkitd was killed by signal 11 (SIGSEGV)

Ignore gdb1.txt, that was hand-generated and abrt sent it anyway.
Comment 3 Fedora Update System 2010-03-04 18:17:31 EST
dbus-glib-0.84-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dbus-glib-0.84-3.fc13
Comment 4 Fedora Update System 2010-03-04 22:35:10 EST
dbus-glib-0.84-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dbus-glib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dbus-glib-0.84-3.fc13
Comment 5 Steve Tyler 2010-03-05 07:08:44 EST
On a fresh install of F13 with updates, and a few reboots ... (I believe the segfault at 03:46:27 was with the previous version of dbus-glib.)

[root@spruce ~]# grep dbus-glib /var/log/yum.log 
Mar 05 03:32:17 Updated: dbus-glib-0.84-3.fc13.x86_64
[root@spruce ~]# grep polkit /var/log/messages 
Mar  4 15:40:28 spruce polkitd[1662]: started daemon version 0.96 using authority implementation `local' version `0.96'
Mar  4 16:19:56 spruce polkitd[1604]: started daemon version 0.96 using authority implementation `local' version `0.96'
Mar  5 02:58:55 spruce polkitd[1721]: started daemon version 0.96 using authority implementation `local' version `0.96'
Mar  5 03:46:27 spruce kernel: polkitd[1721]: segfault at c00000016 ip 0000003be162d47f sp 00007ffff4399da0 error 4 in libgobject-2.0.so.0.2304.0[3be1600000+45000]
Mar  5 03:47:38 spruce polkitd[1616]: started daemon version 0.96 using authority implementation `local' version `0.96'
Mar  5 03:51:14 spruce polkitd[1677]: started daemon version 0.96 using authority implementation `local' version `0.96'
Mar  5 04:00:03 spruce polkitd[1650]: started daemon version 0.96 using authority implementation `local' version `0.96'
[root@spruce ~]#
Comment 6 Fedora Update System 2010-03-10 01:40:05 EST
dbus-glib-0.84-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.